API Guide Home (Online version only) |

# PmPalmOSNVFS.h File Reference

## Detailed Description

Public 68k header file containing the definitions and API for NVFS devices.

Definition in file PmPalmOSNVFS.h.

Go to the source code of this file.

## Defines

- #define sysFtrNumDmAutoBackup 31
- #define vfsVolumeAttrNonRemovable (0x00000008UL)
- #define expCapabilityNonRemovable 0x00000008
- #define expCapabilityHidden 0x00000010
- #define sysTrapDmSyncDatabase 0xA476
- #define vfsIncludePrivateVolumes 0x80000000
- #define expIncludePrivateSlots 0x80000000
- #define dbCacheFlag 0x8000

## Functions

- Err DmSyncDatabase (DmOpenRef dbRef)
    Commit changes in the database to the non-volatile memory.

## Define Documentation

#define dbCacheFlag 0x8000

Flag is used in query the DbCache size when ORd with Storage heap id

Definition at line 29 of file PmPalmOSNVFS.h.

#define expCapabilityHidden 0x00000010

card is hidden

Definition at line 25 of file PmPalmOSNVFS.h.

#define expCapabilityNonRemovable 0x00000008

card is non-removable

Definition at line 24 of file PmPalmOSNVFS.h.

#define expIncludePrivateSlots 0x80000000

Use this flag to show hidden expansion slots if the device supports hidden slots

Definition at line 28 of file PmPalmOSNVFS.h.

#define sysFtrNumDmAutoBackup 31

Is Data Manager Auto Backup supported?

Definition at line 22 of file PmPalmOSNVFS.h.

#define sysTrapDmSyncDatabase 0xA476

Definition at line 26 of file PmPalmOSNVFS.h.

#define vfsIncludePrivateVolumes 0x80000000

Use this flag to show hidden volumes if the device supports hidden volumes

Definition at line 27 of file PmPalmOSNVFS.h.

#define vfsVolumeAttrNonRemovable (0x00000008UL)

media is non-removable

Definition at line 23 of file PmPalmOSNVFS.h.

## Function Documentation

Err DmSyncDatabase | ( | DmOpenRef | dbRef | ) |

Commit changes in the database to the non-volatile memory.

Parameters:

  | dbRef,: | IN: Reference to the opened database to be synced/committed

Return values:

  | Err | error code.

Top | Palm Developer Network © 2004-2008, Palm, Inc. All rights reserved. Generated on Fri Jun 13 10:08:01 2008 for Palm API Guide